## robocode
Class StatusEvent

    java.lang.Object
      robocode.Event
          robocode.StatusEvent

All Implemented Interfaces:
  Comparable<Event>

    public class StatusEvent

extends Event

This event is sent to `onStatus(StatusEvent)` every turn in a battle.

Since:
  1.5
Author:
  Flemming N. Larsen (original)

Constructor Summary
`StatusEvent(robocode.peer.RobotPeer robotPeer)` This constructor is called internally from the game in order to create a new `RobotStatus`.

Method Summary
`RobotStatus` `getStatus()` Returns the `RobotStatus` at the time defined by `Robot.getTime()`.

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusEvent

    public StatusEvent(robocode.peer.RobotPeer robotPeer)

  This constructor is called internally from the game in order to create a new `RobotStatus`.

  Parameters:
    `robotPeer` - the RobotPeer containing the current states

Method Detail

### getStatus

    public RobotStatus getStatus()

  Returns the `RobotStatus` at the time defined by `Robot.getTime()`.

  Returns:
    the `RobotStatus` at the time defined by `Robot.getTime()`.
  See Also:
    `Event.getTime()`